Commit d89594d9 authored by Natanael Copa's avatar Natanael Copa

main/linux-rpi: only depend on linux-firmware-brcm

We dont need all the other firmware
parent 9181dd1c
......@@ -6,12 +6,12 @@ case $pkgver in
*.*.*) _kernver=${pkgver%.*};;
*.*) _kernver=${pkgver};;
esac
pkgrel=0
pkgrel=1
pkgdesc="Linux kernel with Raspberry Pi patches"
url=https://github.com/raspberrypi/linux
depends="mkinitfs"
_depends_dev="perl gmp-dev elfutils-dev bash"
makedepends="$_depends_dev sed installkernel bc linux-headers"
makedepends="$_depends_dev sed installkernel bc linux-headers linux-firmware"
options="!strip !check"
# rpi patches are git diff against latest release tag from:
# linux-4.9.y https://github.com/raspberrypi/linux/tree/rpi-4.9.y
......@@ -195,13 +195,13 @@ _package() {
# main flavor installs in $pkgdir
package() {
depends="$depends linux-firmware"
depends="$depends linux-firmware-brcm"
_package rpi "$pkgdir"
}
# subflavors install in $subpkgdir
rpi2() {
depends="$depends linux-firmware"
depends="$depends linux-firmware-brcm"
_package rpi2 "$subpkgdir"
}
......
Markdown is supported
0%
or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment